Subject: Re: I-D Action: draft-ietf-6man-uri-zoneid-01.txt]

From: t.petch <[email-masked]>
Date: Fri, 8 Jun 2012 14:41:31 +0100

----- Original Message -----
From: "Brian E Carpenter" <[email-masked]>
To: "t.petch" <[email-masked]>
Cc: "6man" <[email-masked]>; "Bob Hinden" <[email-masked]>
Sent: Thursday, May 31, 2012 6:30 PM
> On 2012-05-31 09:36, t.petch wrote:
> > Looks good.
> >
> > I wonder about the first sentence,
> > "This document describes how the Zone Identifier of an IPv6 scoped
> >    address can be represented in a Uniform Resource Identifier that
> >    includes a literal IPv6 address. "
> >
> > in that the specification now goes beyond just a literal IPv6
address so
>
> Where? The only proposal concerns the literal address format (at
> least that is the intention).

Um, yes.

I think I got misled by the word literal; I realise it goes back to
RFC2732 but I think I was imagining that there were textual
representations that were not literal, whereas the two terms would
appear to be synonymous within the context of RFC4007 and this I-D.

Tom Petch

>
>   Brian
>
> > that
> > last conditional clause is, while not wrong, perhaps too
restrictive, as
> > will be clear to anyone who reads on.
> >
> > Tom Petch
> >
> > ----- Original Message -----
> > From: "Brian E Carpenter" <[email-masked]>
> > To: "6man" <[email-masked]>
> > Cc: "Bob Hinden" <[email-masked]>
> > Sent: Tuesday, May 29, 2012 4:36 PM
> > Subject: [Fwd: I-D Action: draft-ietf-6man-uri-zoneid-01.txt]
> >
> >
> >> This version favours the option that seemed to get the
> >> most positive reaction on the list. There's been quite some
> >> restructuring of the draft since the -00 version, so
> >> please read it through and send comments.
> >>
> >>    Brian + Bob
> >>
> >> -------- Original Message --------
> >> Subject: I-D Action: draft-ietf-6man-uri-zoneid-01.txt
> >> Date: Tue, 29 May 2012 08:28:15 -0700
> >> From: [email-masked]
> >> Reply-To: [email-masked]
> >> To: [email-masked]
> >> CC: [email-masked]
> >>
> >>
> >> A New Internet-Draft is available from the on-line Internet-Drafts
> > directories. This draft is a work item of the IPv6
> >> Maintenance Working Group of the IETF.
> >>
> >> Title           : Representing IPv6 Zone Identifiers in Uniform
> > Resource Identifiers
> >> Author(s)       : Brian Carpenter
> >>                           Robert M. Hinden
> >> Filename        : draft-ietf-6man-uri-zoneid-01.txt
> >> Pages           : 9
> >> Date            : 2012-05-29
> >>
> >>    This document describes how the Zone Identifier of an IPv6
scoped
> >>    address can be represented in a Uniform Resource Identifier that
> >>    includes a literal IPv6 address.  It updates RFC 3986 and RFC
4007.
> >>
> >>
> >> A URL for this Internet-Draft is:
> >>
http://www.ietf.org/internet-drafts/draft-ietf-6man-uri-zoneid-01.txt
> >>
> >> Internet-Drafts are also available by anonymous FTP at:
> >> ftp://ftp.ietf.org/internet-drafts/
> >>
> >> This Internet-Draft can be retrieved at:
> >>
ftp://ftp.ietf.org/internet-drafts/draft-ietf-6man-uri-zoneid-01.txt
> >>
> >> The IETF datatracker page for this Internet-Draft is:
> >> https://datatracker.ietf.org/doc/draft-ietf-6man-uri-zoneid/
> >>
> >> _______________________________________________
> >> I-D-Announce mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/i-d-announce
> >> Internet-Draft directories: http://www.ietf.org/shadow.html
> >> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >>
> >>
> >>
>
>> --------------------------------------------------------------------
> >> IETF IPv6 working group mailing list
> >> [email-masked]
> >> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
>
>> --------------------------------------------------------------------
> >>
> >
> >
> >
>